Applications

Get application

Retrieve a specific application. Requires applications:read scope for Workspace keys. Application keys can access their own app without scope.

GET/applications/{application_id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.

In: header

Path Parameters

application_id*string

Application ID.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.comapplications/aBc1234" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "message": "Application retrieved successfully.",  "data": {    "id": "aBc1234",    "name": "Example Game",    "description": "Cross-platform game demo application",    "icon_url": "https://uploads.buildstash.com/C8mNoPqRsTuVwXyZ.png",    "custom_store_enabled": true,    "storage_usage": {      "total_bytes": 5368709120,      "total_string": "5.00 GB",      "hosted_bytes": 4294967296,      "self_hosted_bytes": 1073741824    },    "workspace_id": "wSp1234",    "created_at": "2025-06-10T09:15:00.000000Z",    "updated_at": "2025-06-15T14:30:00.000000Z",    "build_count": 128  }}
{  "message": "Unauthorized"}
{  "message": "This action requires 'resource:action' scope."}